import { AdapterInterface } from './interface';
import { FsRequestOptions, FsResponse } from '../types';
/**
 * Node http request class
 *
 * @export
 * @class HttpAdapter
 * @implements {AdapterInterface}
 */
export declare class HttpAdapter implements AdapterInterface {
    private redirectHoops;
    private redirectPaths;
    /**
     * do request based on configuration
     *
     * @param {FsRequestOptions} config
     * @returns
     * @memberof HttpAdapter
     */
    request(config: FsRequestOptions): Promise<FsResponse>;
    /**
     * Monitor and emit progress event if needed
     *
     * @private
     * @memberof HttpAdapter
     */
    private getProgressMonitor;
    /**
     * Convert buffer to stream
     *
     * @private
     * @param {*} buffer
     * @returns {Stream.Readable}
     * @memberof HttpAdapter
     */
    private bufferToChunks;
}
