export declare const UploadParamsSchema: {
    $schema: string;
    title: string;
    description: string;
    type: string;
    additionalProperties: boolean;
    properties: {
        partSize: {
            type: string;
            minimum: number;
        };
        concurrency: {
            type: string;
            minimum: number;
            maximum: number;
        };
        progressInterval: {
            type: string;
            minimum: number;
        };
        retry: {
            type: string;
            minimum: number;
            maximum: number;
        };
        retryFactor: {
            type: string;
        };
        retryMaxTime: {
            type: string;
        };
        timeout: {
            type: string;
            minimum: number;
            maximum: number;
        };
        intelligent: {
            oneOf: ({
                type: string;
                enum?: undefined;
            } | {
                type: string;
                enum: string[];
            })[];
        };
        intelligentChunkSize: {
            type: string;
        };
        onProgress: {
            format: string;
        };
        onRetry: {
            format: string;
        };
        disableIntegrityCheck: {
            type: string;
        };
        tags: {
            type: string;
            maxItems: number;
            additionalProperties: {
                type: string;
                maxlength: number;
            };
        };
    };
};
