/// <reference types="node" />
import { File as FsFile } from './file';
import { SanitizeOptions } from './../../utils';
export type RawFile = Blob | Buffer | File | string;
export type NamedInputFile = {
    name?: string;
    file: RawFile;
};
type InputFile = RawFile | NamedInputFile;
/**
 * Accepts b64string or blob file
 *
 * @browser
 * @param {*} fileOrString
 * @returns {Promise<File>}
 */
export declare const getFile: (input: InputFile, sanitizeOptions?: SanitizeOptions) => Promise<FsFile>;
export {};
