/// <reference types="node" />
export type RawFile = Blob | Buffer | File | string;
export type NamedInputFile = {
    name?: string;
    file: RawFile;
};
export type InputFile = RawFile | NamedInputFile;
export declare const base64Regexp: RegExp;
/**
 * Check if file is blob
 * @param input
 */
export declare const isFileBlob: (input: InputFile) => input is Blob;
/**
 * Check if file is instance of named interface
 *
 * @param input
 */
export declare const isFileNamed: (input: InputFile) => input is NamedInputFile;
export * from './file_tools.node';
