export declare const DefinitionsSchema: {
    $schema: string;
    title: string;
    description: string;
    type: string;
    additionalProperties: boolean;
    definitions: {
        workflowsDef: {
            id: string;
            type: string;
            additionalItems: boolean;
            minItems: number;
            maxItems: number;
            items: {
                oneOf: ({
                    type: string;
                    additionalProperties?: undefined;
                    properties?: undefined;
                } | {
                    type: string;
                    additionalProperties: boolean;
                    properties: {
                        id: {
                            type: string;
                        };
                    };
                })[];
            }[];
        };
        securityCallDef: {
            id: string;
            oneOf: ({
                additionalProperties: boolean;
                type: string;
                enum: string[];
                items?: undefined;
            } | {
                type: string;
                additionalProperties: boolean;
                items: {
                    minItems: number;
                    maxItems: number;
                    type: string;
                    additionalProperties: boolean;
                    enum: string[];
                }[];
                enum?: undefined;
            })[];
        };
        regionsDef: {
            id: string;
            type: string;
        };
        locationsDef: {
            id: string;
            type: string;
            enum: string[];
        };
        colorDef: {
            id: string;
            oneOf: ({
                type: string;
                pattern: string;
                enum?: undefined;
            } | {
                type: string;
                enum: string[];
                pattern?: undefined;
            })[];
        };
        pageFormatDef: {
            id: string;
            type: string;
            enum: string[];
        };
        pageRangeDef: {
            id: string;
            type: string;
            uniqueItems: boolean;
            items: {
                oneOf: ({
                    type: string;
                    minimum: number;
                    pattern?: undefined;
                    errorMessage?: undefined;
                } | {
                    type: string;
                    pattern: string;
                    errorMessage: string;
                    minimum?: undefined;
                })[];
            }[];
        };
        facesDef: {
            id: string;
            oneOf: ({
                type: string;
                enum: string[];
                minimum?: undefined;
                maximum?: undefined;
                uniqueItems?: undefined;
                items?: undefined;
            } | {
                type: string;
                minimum: number;
                maximum: number;
                enum?: undefined;
                uniqueItems?: undefined;
                items?: undefined;
            } | {
                type: string;
                uniqueItems: boolean;
                items: {
                    type: string;
                    minimum: number;
                    maximum: number;
                }[];
                enum?: undefined;
                minimum?: undefined;
                maximum?: undefined;
            })[];
        };
        objectsDef: {
            id: string;
            type: string;
            minItems: number;
            maxItems: number;
            items: {
                type: string;
                additionalItems: boolean;
                minItems: number;
                items: {
                    type: string;
                    minimum: number;
                    maximum: number;
                }[];
            }[];
        };
        positionDef: {
            id: string;
            default: string[];
            oneOf: ({
                type: string;
                enum: string[];
                uniqueItems?: undefined;
                additionalItems?: undefined;
                minItems?: undefined;
                maxItems?: undefined;
                default?: undefined;
                items?: undefined;
            } | {
                type: string;
                uniqueItems: boolean;
                additionalItems: boolean;
                minItems: number;
                maxItems: number;
                default: string[];
                items: {
                    type: string;
                    enum: string[];
                }[];
                enum?: undefined;
            })[];
        };
    };
};
