export declare const StoreParamsSchema: {
    $schema: string;
    title: string;
    description: string;
    type: string;
    additionalProperties: boolean;
    properties: {
        filename: {
            oneOf: ({
                type: string;
                format?: undefined;
            } | {
                format: string;
                type?: undefined;
            })[];
        };
        location: {
            $ref: string;
        };
        path: {
            type: string;
        };
        container: {
            type: string;
        };
        region: {
            $ref: string;
        };
        access: {
            type: string;
            enum: string[];
            default: string;
        };
        base64decode: {
            type: string;
        };
        workflows: {
            $ref: string;
        };
        disableStorageKey: {
            type: string;
        };
        tags: {
            type: string;
            additionalProperties: {
                type: string;
            };
        };
        sanitizer: {
            oneOf: ({
                type: string;
                additionalProperties?: undefined;
                properties?: undefined;
            } | {
                type: string;
                additionalProperties: boolean;
                properties: {
                    exclude: {
                        type: string;
                        items: {
                            type: string;
                        }[];
                    };
                    replacement: {
                        type: string;
                    };
                };
            })[];
        };
    };
};
